from game.plugins import plugin, cmp_deploySpawnPoint, NCOrifleData, limitKit, ticketLoss, cmp_bleedReinforcements

kits_64 = [
    plugin(limitKit, team = 1, kit = 'SE_SMGAssault_Limited', slot = 1, limit = 0.2),
    plugin(limitKit, team = 1, kit = 'SE_LMG_LS26_Limited', slot = 3, limit = 0.15),
    plugin(limitKit, team = 2, kit = 'RE_LMG_Limited', slot = 3, limit = 0.15),
    plugin(limitKit, team = 1, kit = 'SE_AntiTank_Limited', slot = 5, limit = 0.2),
]

rifleNCO = [
    plugin(NCOrifleData, kits = ('SE_NCO', 'RE_NCO')),
]

tickets_64 = [
	plugin(ticketLoss, ticketLoss1 = 13, ticketLoss2 = 13)
]


spdeploy = [ 
    plugin(cmp_deploySpawnPoint , def_loc_team1 = (0.0, 0.0, 0.0), def_loc_team2 = (0.0, 0.0, 0.0), min_dis_2_flag = 10, min_dis_2_team_sp = 20, min_num_players = 2, allow_sl_only_dsp = 1, waiting_time_sl_only_deployment = 120, waiting_time_standard_deployment = 120, dsp_ttl = 600, dsp_ttl_sl_only = 600, rally_radius = 10) 
]


bleed_64 = [
    plugin(cmp_bleedReinforcements , bleedCpAxis = 'CP_64_karelia_axis_reinforcements',
                               bleedCpAllied = 'CP_64_karelia_allied_reinforcements',
                               alliedCpsForAxisBleed = 5,
                               axisCpsForAlliedBleed = 5),
]

bleed_32 = [
    plugin(cmp_bleedReinforcements , bleedCpAxis = 'CP_32_karelia_axis_reinforcements',
                               bleedCpAllied = 'CP_32_karelia_allied_reinforcements',
                               alliedCpsForAxisBleed = 5,
                               axisCpsForAlliedBleed = 5),
]
gpm_cq = {
	64: tickets_64 + kits_64 + rifleNCO + bleed_64 + spdeploy,
	32: tickets_64 + kits_64 + rifleNCO + bleed_32 + spdeploy,

}
